// Задача "Парад роботов"
// Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Ахи, akhi@rain.ifmo.ru

import java.io.*;
import java.util.*;
import java.math.*;

public class robots_aa {
    public static void main(String[] args) throws Throwable {
        new robots_aa().run();
    }

    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;
    boolean eof = false;
    Random rand = new Random(this.hashCode());

    private void run() throws Throwable {
        Locale.setDefault(Locale.US);
        br = new BufferedReader(new FileReader(FNAME + ".in"));
        out = new PrintWriter(FNAME + ".out");
        solve();
        out.close();
    }

    String nextToken() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (Exception e) {
                eof = true;
                return "0";
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(nextToken());
    }

    void myAssert(boolean u, String message) {
        if (!u) {
            throw new Error("Assertion failed!!! " + message);
        }
    }

    int inBounds(int x, int l, int r, String name) {
        myAssert(l <= x && x <= r, name + " not in bounds!!! " + x
                + " not in [" + l + ".." + r + "]");
        return x;
    }

    String FNAME = "robots";

    private void solve() throws IOException {
        int n = inBounds(nextInt(), 1, 100000, "n");
        int k = inBounds(nextInt(), 0, n, "k");
        double[] x = new double[n];
        double[] y = new double[n];
        double xc = 0;
        double yc = 0;
        for (int i = 0; i < y.length; i++) {
            x[i] = nextInt();
            y[i] = nextInt();
            xc += x[i];
            yc += y[i];
        }
        xc /= n;
        yc /= n;
        for (int i = 0; i < k; i++) {
            double xn = xc;
            double yn = yc;
            xc += (xn - x[i]) / n;
            yc += (yn - y[i]) / n;
            x[i] = xn;
            y[i] = yn;
        }
        //for (int i = 0; i < x.length; i++) {
        out.println(x[k - 1] + " " + y[k - 1]);
        //}
    }
}
